<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DTO;
use Doctrine\ORM\EntityManager;

class GeneralService {
    
    protected $crudService;
    
    protected $entityManager;
    
    protected $connection;
    
    
    public function defineFilter($paramsFilter, DTO\Row $row) {
        
        $filter = array();
        
        for($i = 1, $size = count($paramsFilter); $i < $size; $i += 2) {
            
            $condition = array(
                            "value" => $row[$paramsFilter[$i - 1]],
                            "operator" => $paramsFilter[$i],
                            "columnName" => $paramsFilter[$i - 1]
                        );
            
            array_push($filter, $condition);
            
        }
        
        return $filter;
        
    }
    
    public function getDataSets($name, $filter) {
        
        $response = new DTO\Response();
        $filterCriteria = new FilterCriteria($name, $filter);
        $this->crudService->find($response, $filterCriteria);
        $dataSets = $response->getDataSets();
        
        return $dataSets;
        
    }
    
    public function getRows($name, $dataSets) {
        
        $rows = array();
        
        foreach ($dataSets as $key => $data) {
            if ($data->getDataSourceName() == $name) {
                $rows = $dataSets[$key]->getRows();
            }
        }
        
        return $rows;
    }
    
    public function getResultRows($name, $filter) {
        
        $result = $this->getRows($name, $this->getDataSets($name, $filter));
        
        return $result;
    }
    
    public function getResultRow($name, $filter) {
        
        $result = $this->getRows($name, $this->getDataSets($name, $filter));
            
        return $result[0];
        
    }
    
    
    
    
}