/* Sistemas Integrados TECNISA

Nome: 00NB_CDPTRGS_DTULTATU_TIPOCOMP.SQL

Descrio:

Atualiza a data de ultima atualizao da tabela TIPOCOMP

Criao:
24/04/2007 Ronald Reis
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPOCOMP' and
            type = 'TR'                    and
            u.uid = o.uid                  and
            u.name = USER)
  DROP TRIGGER DTULTATU_TIPOCOMP
  GO

CREATE TRIGGER DTULTATU_TIPOCOMP
ON TIPOCOMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOCOMP', 'CDTIPOCOMP=' + CDTIPOCOMP+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPOCOMP
      SET  DTULTATUTCOM = GETDATE()
      FROM INSERTED
      WHERE ISNULL(TIPOCOMP.CDTIPOCOMP,0) = ISNULL(INSERTED.CDTIPOCOMP,0);
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TIPOCOMP','4.11.134';
GO
