/* Sistemas Integrados TECNISA

Nome: 00NE_CDPTRGS_DTULTATU_TIPODOCU.SQL

Descrio:

Atualiza a data de ultima atualizao da tabela TIPODOCU

Criao:
07/05/2007 Ronald Reis
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPODOCU' and
            type = 'TR'                    and
            u.uid = o.uid                  and
            u.name = USER)
  DROP TRIGGER DTULTATU_TIPODOCU
  GO

CREATE TRIGGER DTULTATU_TIPODOCU
ON TIPODOCU
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPODOCU', '', 'CDTIPODOCU=' + CDTIPODOCU+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPODOCU
      SET  DTULTATUTDOC = GETDATE()
      FROM INSERTED
      WHERE ISNULL(TIPODOCU.CDTIPODOCU,0) = ISNULL(INSERTED.CDTIPODOCU,0);
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TIPODOCU','4.11.134';
GO
